Mandrake Linux Security Advisory : proftpd (MDKSA-2004:041)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

A portability workaround that was applied in version 1.2.9 of the
ProFTPD FTP server caused CIDR based ACL entries in 'Allow' and 'Deny'
directives to act like an 'AllowAll' directive. This granted FTP
clients access to files and directories that the server configuration
may have been explicitly denying.

This problem only exists in version 1.2.9 and has been fixed upstream.
A patch has been applied to correct the problem.

See also :

http://bugs.proftpd.org/show_bug.cgi?id=2267

Solution :

Update the affected proftpd and / or proftpd-anonymous packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 14140 (mandrake_MDKSA-2004-041.nasl)

Bugtraq ID:

CVE ID: CVE-2004-0432

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now